JGraph X 1.3.0.0

## com.mxgraph.util
Class mxRectangle

    java.lang.Object
      com.mxgraph.util.mxPoint
          com.mxgraph.util.mxRectangle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  mxCellState, mxGeometry

    public class mxRectangle

extends mxPoint

Implements a 2-dimensional rectangle with double precision coordinates.

See Also:
  Serialized Form

Field Summary
`protected double` `height` Holds the width and the height.
`protected double` `width` Holds the width and the height.

Fields inherited from class com.mxgraph.util.mxPoint
`x, y`

Constructor Summary
`mxRectangle()` Constructs a new rectangle at (0, 0) with the width and height set to 0.
`mxRectangle(double x, double y, double width, double height)` Constructs a rectangle using the given parameters.
`mxRectangle(mxRectangle rect)` Constructs a copy of the given rectangle.
`mxRectangle(java.awt.geom.Rectangle2D rect)` Constructs a copy of the given rectangle.

Method Summary
`void` `add(mxRectangle rect)` Adds the given rectangle to this rectangle.
`java.lang.Object` `clone()` Returns a new instance of the same rectangle.
`boolean` `contains(double x, double y)` Returns true if the given point is contained in the rectangle.
`boolean` `equals(java.lang.Object obj)` Returns true if the given object equals this rectangle.
`double` `getCenterX()` Returns the x-coordinate of the center.
`double` `getCenterY()` Returns the y-coordinate of the center.
`double` `getHeight()` Returns the height of the rectangle.
`java.awt.Rectangle` `getRectangle()` Returns the bounds as a new rectangle.
`double` `getWidth()` Returns the width of the rectangle.
`void` `grow(double amount)` Grows the rectangle by the given amount, that is, this method subtracts the given amount from the x- and y-coordinates and adds twice the amount to the width and height.
`void` `setHeight(double value)` Sets the height of the rectangle.
`void` `setWidth(double value)` Sets the width of the rectangle.

Methods inherited from class com.mxgraph.util.mxPoint
`getPoint, getX, getY, setX, setY`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected double width

  Holds the width and the height. Default is 0.

### height

    protected double height

  Holds the width and the height. Default is 0.

Constructor Detail

### mxRectangle

    public mxRectangle()

  Constructs a new rectangle at (0, 0) with the width and height set to 0.

### mxRectangle

    public mxRectangle(java.awt.geom.Rectangle2D rect)

  Constructs a copy of the given rectangle.

  Parameters:
    `rect` - Rectangle to construct a copy of.

### mxRectangle

    public mxRectangle(mxRectangle rect)

  Constructs a copy of the given rectangle.

  Parameters:
    `rect` - Rectangle to construct a copy of.

### mxRectangle

    public mxRectangle(double x,
                       double y,
                       double width,
                       double height)

  Constructs a rectangle using the given parameters.

  Parameters:
    `x` - X-coordinate of the new rectangle.
    `y` - Y-coordinate of the new rectangle.
    `width` - Width of the new rectangle.
    `height` - Height of the new rectangle.

Method Detail

### getWidth

    public double getWidth()

  Returns the width of the rectangle.

  Returns:
    Returns the width.

### setWidth

    public void setWidth(double value)

  Sets the width of the rectangle.

  Parameters:
    `value` - Double that specifies the new width.

### getHeight

    public double getHeight()

  Returns the height of the rectangle.

  Returns:
    Returns the height.

### setHeight

    public void setHeight(double value)

  Sets the height of the rectangle.

  Parameters:
    `value` - Double that specifies the new height.

### add

    public void add(mxRectangle rect)

  Adds the given rectangle to this rectangle.

### getCenterX

    public double getCenterX()

  Returns the x-coordinate of the center.

  Returns:
    Returns the x-coordinate of the center.

### getCenterY

    public double getCenterY()

  Returns the y-coordinate of the center.

  Returns:
    Returns the y-coordinate of the center.

### grow

    public void grow(double amount)

  Grows the rectangle by the given amount, that is, this method subtracts the given amount from the x- and y-coordinates and adds twice the amount to the width and height.

  Parameters:
    `amount` - Amount by which the rectangle should be grown.

### contains

    public boolean contains(double x,
                            double y)

  Returns true if the given point is contained in the rectangle.

  Parameters:
    `x` - X-coordinate of the point.
    `y` - Y-coordinate of the point.
  Returns:
    Returns true if the point is contained in the rectangle.

### getRectangle

    public java.awt.Rectangle getRectangle()

  Returns the bounds as a new rectangle.

  Returns:
    Returns a new rectangle for the bounds.

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the given object equals this rectangle.

  Overrides:
    `equals` in class `mxPoint`

### clone

    public java.lang.Object clone()

  Returns a new instance of the same rectangle.

  Overrides:
    `clone` in class `mxPoint`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.